Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 203585 - Printing widget does not update printers
Summary: Printing widget does not update printers
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target 203586
TreeView+ depends on / blocked
 
Reported: 2006-08-22 16:26 UTC by Bill Nottingham
Modified: 2014-03-17 03:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-28 17:52:32 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2006-08-22 16:26:52 UTC
Description of problem:

When using OO.o to print, I was only given a list of ~30 printers; a later
run of 'lpstat -a' showed 62 printers, but the printing widget never updated.

Version-Release number of selected component (if applicable):

gtk2-2.10.2-2.fc6
openoffice.org-core-2.0.3-7.9

Comment 1 Matthias Clasen 2006-08-25 18:30:12 UTC
John, how does this work, are we not monitoring cups for new printers, after
initially populating the list ? 

What does libgnomeprintui do here ?

Comment 2 John (J5) Palmieri 2006-08-25 19:04:54 UTC
We should have a timeout that kicks in every three seconds and calls
list_printers or something like that.  Libgnomeprintui does something similar to
this.

Comment 3 Matthias Clasen 2006-08-28 16:59:46 UTC
oh, I see you are adding the timeout, but with and awesome interval of 300000
seconds instead of 3...

Comment 4 Matthias Clasen 2006-08-28 17:52:32 UTC
Fixed in 2.10.2-4.fc6


Note You need to log in before you can comment on or make changes to this bug.